package net.mc_pandacraft.java.plugin.pandacraftutils.config;

import java.io.IOException;
import java.util.Collections;
import java.util.List;

public class ChatBadWordsConfig extends AbstractConfig {
	
	private final List<String> config;
	
	public ChatBadWordsConfig() throws IOException {
		super("badwords.txt", FileType.FILE);
		
		
		config = getFileLines(true, false, false);
		
	}
	
	
	public List<String> getBadWords() {
		return Collections.unmodifiableList(config);
	}

}
